<?php
include ("ad_header.php");
if (isset ($_POST['action'])) {
$action=$_POST['action'];
}
else {
die("Вы не указали действие!");
}
if ($action=="add") {
$newname=$_POST['newname'];
$newlink=$_POST['newlink'];
$newname=mysql_escape_string($newname);
$newlink=mysql_escape_string($newlink);
$newlink=str_replace ('"',"'",$newlink);
$newname=str_replace ('"',"'",$newname);
if ($newname=="") {
echo "<center><b>Поле 'Название' является обязательным для заполнения!</b></center>";
echo "<meta http-equiv='refresh' content='2 url=ad_menu.php'>";
exit;
}
if ($newlink=="") {
echo "<center><b>Поле 'Ссылка' является обязательным для заполнения!</b></center>";
echo "<meta http-equiv='refresh' content='2 url=ad_menu.php'>";
exit;
}
$query="insert into menu(name,link) values ('$newname','$newlink')";
mysql_query($query);
}

if ($action=="change") {
$id=$_POST['id'];
$change_link=$_POST['change_link'];
$change_link=mysql_escape_string($change_link);
$change_link=str_replace ('"',"'",$change_link);
$change_name=$_POST['change_name'];
$change_name=mysql_escape_string($change_name);
$change_name=str_replace ('"',"'",$change_name);
if ($change_name=="") {
echo "<center><b>Поле 'Название' является обязательным для заполнения!</b></center>";
echo "<meta http-equiv='refresh' content='2 url=ad_menu.php'>";
exit;
}
if ($change_link=="") {
echo "<center><b>Поле 'Ссылка' является обязательным для заполнения!</b></center>";
echo "<meta http-equiv='refresh' content='2 url=ad_menu.php'>";
exit;
}
$query="update menu set name='$change_name',link='$change_link' where (first='$id')";
mysql_query($query);
}

if ($action=="delete") {
$id=$_POST['id'];
$query="delete from menu where (first='$id')";
mysql_query($query);
}
mysql_close ($link);
?>

<form action="ad_menu.php" name=redir method=post>
</form>
<script language="JavaScript">
redir.submit();
</script>